diff --git a/changelog b/changelog
index 4921b44..50efc4a 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,4 @@
+20080323 tpd src/hyper/bookvol11 add menus
 20080318 tpd src/input/kamke2.input check results using Maxima
 20080317 tpd src/input/kamke2.input check results using Maple
 20080316 tpd src/input/kamke2.input check results using Mathematica.
diff --git a/src/hyper/bookvol11.pamphlet b/src/hyper/bookvol11.pamphlet
index 6b600ba..e8c22b8 100644
--- a/src/hyper/bookvol11.pamphlet
+++ b/src/hyper/bookvol11.pamphlet
@@ -376,7 +376,104 @@ that you see in the browser pages. This is convention and is not required.
 The page hierarchy (used by the Makefile) is:
 <<PAGES>>=
 PAGES=rootpage.xhtml \
+        testpage.xhtml \
         commandline.xhtml \
+          menufileopen.xhtml \
+          menufileread.xhtml \
+          menufilesave.xhtml \
+          menufilesaveas.xhtml \
+          menufileloadlibrary.xhtml \
+          menufileinputfile.xhtml \
+          menufiletogglespool.xhtml \
+          menufileprint.xhtml \
+          menufileexit.xhtml \
+          menueditcopy.xhtml \
+          menueditcopytext.xhtml \
+          menueditcopytex.xhtml \
+          menueditdeleteselection.xhtml \
+          menueditcopyasimage.xhtml \
+          menueditselectiontoimage.xhtml \
+          menueditselectiontoinput.xhtml \
+          menueditcut.xhtml \
+          menueditpaste.xhtml \
+          menuaxiominterrupt.xhtml \
+          menuaxiomrestart.xhtml \
+          menuaxiomclearmemory.xhtml \
+          menuaxiomaddtopath.xhtml \
+          menuaxiomshowfunctions.xhtml \
+          menuaxiomshowdefinition.xhtml \
+          menuaxiomshowvariables.xhtml \
+          menuaxiomdeletefunction.xhtml \
+          menuaxiomdeletevariable.xhtml \
+          menuaxiomtoggletimedisplay.xhtml \
+          menuaxiomset.xhtml \
+          menuaxiomdisplay.xhtml \
+          menuequationssolve.xhtml \
+          menuequationssolvenumerically.xhtml \
+          menuequationsrootsofpolynomial.xhtml \
+          menuequationsrealrootsofpolynmial.xhtml \
+          menuequationssolvelinearsystem.xhtml \
+          menuequationssolvealgebraicsystem.xhtml \
+          menuequationseliminatevariable.xhtml \
+          menuequationssolveode.xhtml \
+          menuequationsinitialvalueproblem1.xhtml \
+          menuequationsinitialvalueproblem2.xhtml \
+          menuequationsboundaryvalueproblem.xhtml \
+          menuequationssolveodewithlaplace.xhtml \
+          menuequationsatvalue.xhtml \
+          menualgebrageneratematrix.xhtml \
+          menualgebraentermatrix.xhtml \
+          menualgebrainvertmatrix.xhtml \
+          menualgebracharacteristicpolynomial.xhtml \
+          menualgebradeterminant.xhtml \
+          menualgebraeigenvalues.xhtml \
+          menualgebraeigenvectors.xhtml \
+          menualgebraadjointmatrix.xhtml \
+          menualgebratransposematrix.xhtml \
+          menualgebramakelist.xhtml \
+          menualgebraapplytolist.xhtml \
+          menualgebramaptolist.xhtml \
+          menualgebrareducelist.xhtml \
+          menualgebramaptomatrix.xhtml \
+          menucalculuslevel3.xhtml \
+            menucalculuslevel3a.xhtml \
+            menucalculuslevel3b.xhtml \
+            menucalculuslevel3c.xhtml \
+          menucalculusintegrate.xhtml \
+          menucalculusrischintegrate.xhtml \
+          menucalculuschangevariable.xhtml \
+          menucalculusdifferentiate.xhtml \
+          menucalculusfindlimit.xhtml \
+          menucalculusgetseries.xhtml \
+          menucalculuspadeapproximation.xhtml \
+          menucalculuscalculussum.xhtml \
+          menucalculuscalculusproduct.xhtml \
+          menucalculuslaplacetransform.xhtml \
+          menucalculusinverselaplacetransform.xhtml \
+          menucalculusgreatestcommondivisor.xhtml \
+          menucalculusleastcommonmultiple.xhtml \
+          menucalculusdividepolynomials.xhtml \
+          menucalculuspartialfractions.xhtml \
+          menucalculuscontinuedfractions.xhtml \
+          menusimplifysimplifyexpression.xhtml \
+          menusimplifysimplifyradicals.xhtml \
+          menusimplifyfactorexpression.xhtml \
+          menusimplifyfactorcomplex.xhtml \
+          menusimplifyexpandexpression.xhtml \
+          menusimplifyexpandlogarithms.xhtml \
+          menusimplifycontractlogarithms.xhtml \
+          menusimplifyfactorialsandgamma.xhtml \
+          menusimplifytrigsimplification.xhtml \
+          menusimplifycomplexsimplification.xhtml \
+          menusimplifysubtitute.xhtml \
+          menusimplifyevaluatenounform.xhtml \
+          menusimplifytogglealgebraicflag.xhtml \
+          menusimplifyaddalgebraicequality.xhtml \
+          menusimplifymoduluscomputation.xhtml \
+          menunumerictogglenumericoutput.xhtml \
+          menunumerictofloat.xhtml \
+          menunumerictobigfloat.xhtml \
+          menunumericsetprecision.xhtml \
         basiccommand.xhtml \
         tutorial.xhtml \
         jenks.xhtml \
@@ -909,6 +1006,7 @@ The {\bf div} section with {\bf id=``mathAns''} is replaced by the
 result sent from the server.
 
 \section{Cascading Style Sheet}
+\subsection{Standard Style Sheet}
 This is the standard CSS style section that gets included with every
 page. We do this here but it could be a separate style sheet. It 
 hardly matters either way as the style sheet is trivial.
@@ -966,7 +1064,195 @@ hardly matters either way as the style sheet is trivial.
    }
   </style>
 @
+\subsection{Menu style sheet}
+<<menu style>>=
+ <style>
+
+   form {
+     margin-top: 0;
+     margin-bottom: 0;
+     padding-left: 10px;
+   }
+
+   table.main {
+     background-color: #FFFF66;
+     font-size: 10pt;
+     font-family: arial;
+   }
+
+   .main A:link {
+     font-family: arial;
+     color:#016bbd;
+   }
+
+   .main A:hover {
+     font-family: arial;
+     color: #64747A;
+   }
+
+   .main A:visited {
+     font-family: arial;
+     color:#336699;
+   }
+
+   /* style the outer div to give it width */
+   .menu {
+     font-size:0.85em;
+   }
+
+   /* remove all the bullets, borders and padding 
+      from the default list styling */
+   .menu ul {
+     padding:0;
+     width:1000px;
+     margin:0;
+     list-style-type:none;
+     white-space: normal;
+   }
+
+   .menu ul ul {
+     width:90px;
+   }
+
+   /* float the list to make it horizontal and a relative position 
+      so that you can control the dropdown menu positon */
+   .menu li {
+     float:left;
+     width:90px;
+     position:relative;
+   }
+
+   /* style the links for the top level */
+   .menu a, .menu a:visited {
+     display:block;
+     font-size:12px;
+     text-decoration:none; 
+     font-weight:bold;
+     color:#2952a7;
+     width:99px;
+     height:32px;
+     line-height:29px;
+     border:0px solid #fff;
+     border-width:0px 0px 0 0px;
+     text-align:center;
+   }
+
+   /* style the second level links 
+      if this breaks all the level 2 links appear at once */
+   .menu ul ul a, .menu ul ul a:visited {
+     font-size:10px;
+     font-weight:normal;
+     background:#d4d8bd; 
+     color:#000; 
+     height:auto; 
+     line-height:1em; 
+     padding:5px 10px; 
+     width:78px
+   }
 
+   /* style the top level hover */
+   .menu a:hover, .menu ul ul a:hover{
+     border:1px solid #000;
+     border-width:1px 1px 0 1px;
+   }
+
+   .menu :hover > a, .menu ul ul :hover > a {
+     border:1px solid #000;
+     border-width:1px 1px 0 1px;
+   }
+
+   /* style the second level background */
+   .menu ul ul a.drop, .menu ul ul a.drop:visited {
+     background:#e0d8d0; 
+   }
+
+   /* style the second level hover */
+   .menu ul ul a.drop:hover{
+     background:#c9ba65;
+   }
+
+   .menu ul ul :hover > a.drop {
+     background:#c9ba65;
+   }
+
+   /* style the third level background */
+   .menu ul ul ul a, .menu ul ul ul a:visited {
+     background:#e2dfa8;
+   }
+
+   /* style the third level hover */
+   .menu ul ul ul a:hover {
+     background:#b2ab9b;
+   }
+
+   .menu ul ul ul :hover > a {
+     background:#b2ab9b;
+   }
+
+   /* hide the sub levels and give them a positon absolute 
+      so that they take up no room */
+   .menu ul ul {
+     visibility:hidden;
+     position:absolute;
+     height:0;
+     top:31px;
+     left:0;
+     width:150px;
+   }
+
+   /* position the third level flyout menu */
+   .menu ul ul ul{
+     left:100px; 
+     top:0;
+     width:90px;
+   }
+
+   /* position the third level flyout menu for a left flyout */
+   .menu ul ul ul.left {
+     left:-90px;
+   }
+
+   /* style the table so that it takes no part in the layout - 
+      required for IE to work */
+   .menu table {
+     position:absolute; 
+     top:0; 
+     left:0;
+   }
+
+   /* make the second level visible when hover on 
+     first level list OR link */
+   .menu ul li:hover ul,
+     .menu ul a:hover ul {
+       visibility:visible; 
+   }
+
+   /* keep the third level hidden when you hover on 
+      first level list OR link */
+   .menu ul :hover ul ul {
+     visibility:hidden;
+   }
+
+   /* keep the fourth level hidden when you hover on 
+      second level list OR link */
+   .menu ul :hover ul :hover ul ul {
+     visibility:hidden;
+   }
+
+   /* make the third level visible when you hover over second level list 
+      OR link */
+   .menu ul :hover ul :hover ul { 
+     visibility:visible;
+   }
+
+   /* make the fourth level visible when you hover over third level list 
+      OR link */
+   .menu ul :hover ul :hover ul :hover ul { 
+     visibility:visible;
+   }
+
+ </style>
+@
 \section{standard head}
 This is the standard head section. It is used on pages that do not
 include javascript. Note that it does NOT include the </head> so
@@ -1219,6 +1505,7 @@ is currently ignored.
 \section{Pages}
 <<testpage.xhtml>>=
 <<standard head>>
+<<menu style>>
   <script type="text/javascript">
 <<handlefreevars>>
 <<axiom talker>>
@@ -1228,6 +1515,591 @@ is currently ignored.
 <<page head>>
   <div align="center">Test Page</div>
   <hr/>
+  <div align="center">
+   <!--main menu-->
+   <form method="get" action="foo.xhtml">
+    <table class="mainmenu" border="0" cellspacing="0" cellpadding="0">
+     <tr>
+      <td align="center" valign="middle" nowrap="nowrap">
+       <div class="menu">
+        <ul>
+         <!-- Begin File Menu -->
+         <li>
+          <a class="toplevel" href="/">
+           File<!--span class="nabla">&nabla;</span-->
+          </a>
+          <ul>
+           <li>
+            <a class="drop" href="file/open.xhtml">
+             Open
+            </a>
+           </li>
+           <li>
+            <a class="drop" href="file/readfile.xhtml">
+             Read file
+            </a>
+           </li>
+           <li>
+            <a class="drop" href="file/save.xhtml">
+             Save
+            </a>
+           </li>
+           <li>
+            <a class="drop" href="file/saveas.xhtml">
+             Save as
+            </a>
+           </li>
+           <li>
+            <a class="drop" href="file/input.xhtml">
+             Embed
+            </a>
+           </li>
+           <li>
+            <a class="drop" href="file/batchfile.xhtml">
+             Batch file
+            </a>
+           </li>
+           <li>
+            <a class="drop" href="file/exporttohtml.xhtml">
+             Export to html
+            </a>
+           </li>
+           <li>
+            <a class="drop" href="file/selectfile.xhtml">
+             Select file
+            </a>
+           </li>
+           <li>
+            <a class="drop" href="file/monitorfile.xhtml">
+             Monitor file
+            </a>
+           </li>
+           <li>
+            <a class="drop" href="file/print.xhtml">
+             Print
+            </a>
+           </li>
+           <li>
+            <a class="drop" href="file/exit.xhtml">
+             Exit
+            </a>
+           </li>
+          </ul>
+         </li>
+         <!-- End File Menu -->
+         <!-- Start Edit Menu -->
+         <li>
+          <a class="toplevel" href="/">
+           Edit<!--span class="nabla">&nabla;</span-->
+          </a>
+          <ul>
+           <li>
+            <a class="drop" href="edit/copy.xhtml">
+             Copy
+            </a>
+           </li>
+           <li>
+            <a class="drop" href="edit/copytext.xhtml">
+             Copy text
+            </a>
+           </li>
+           <li>
+            <a class="drop" href="edit/copytex.xhtml">
+             Copy TeX
+            </a>
+           </li>
+           <li>
+            <a class="drop" href="edit/deleteselection.xhtml">
+              Delete selection
+            </a>
+           </li>
+           <li>
+            <a class="drop" href="edit/copyasimage.xhtml">
+             Copy as image     
+            </a>
+           </li>
+           <li>
+            <a class="drop" href="edit/selectiontoimage.xhtml">
+             Selection to image
+            </a>
+           </li>
+           <li>
+            <a class="drop" href="edit/selectiontoinput.xhtml">
+             Selection to input
+            </a>
+           </li>
+           <li>
+            <a class="drop" href="edit/cut.xhtml">
+             Cut               
+            </a>
+           </li>
+           <li>
+            <a class="drop" href="edit/paste.xhtml">
+             Paste
+            </a>
+           </li>
+           <li>
+            <a class="drop" href="edit/print.xhtml">
+             Print
+            </a>
+           </li>
+          </ul>
+         </li>
+         <!-- End Edit Menu -->
+         <!-- Start Axiom Menu -->
+         <li>
+          <a class="toplevel" href="/">
+           Axiom<!--span class="nabla">&nabla;</span-->
+          </a>
+          <ul>
+           <li>
+            <a class="drop" href="axiom/interrupt.xhtml">
+             Interrupt
+            </a>
+           </li>
+           <li>
+            <a class="drop" href="axiom/restart.xhtml">
+             Restart
+            </a>
+           </li>
+           <li>
+            <a class="drop" href="axiom/clearmemory.xhtml">
+             Clear Memory
+            </a>
+           </li>
+           <li>
+            <a class="drop" href="axiom/addtopath.xhtml">
+              Add to path
+            </a>
+           </li>
+           <li>
+            <a class="drop" href="axiom/showfunctions.xhtml">
+             Show functions
+            </a>
+           </li>
+           <li>
+            <a class="drop" href="axiom/showdefinition.xhtml">
+             Show definition
+            </a>
+           </li>
+           <li>
+            <a class="drop" href="axiom/showvariables.xhtml">
+             Show variables
+            </a>
+           </li>
+           <li>
+            <a class="drop" href="axiom/deletefunction.xhtml">
+             Delete function
+            </a>
+           </li>
+           <li>
+            <a class="drop" href="axiom/deletevariable.xhtml">
+             Delete variable
+            </a>
+           </li>
+           <li>
+            <a class="drop" href="axiom/toggletimedisplay.xhtml">
+             Toggle time display
+            </a>
+           </li>
+           <li>
+            <a class="drop" href="axiom/change2ddisplay.xhtml">
+             Change 2D display
+            </a>
+           </li>
+           <li>
+            <a class="drop" href="axiom/displaytex.xhtml">
+             Display TeX
+            </a>
+           </li>
+          </ul>
+         </li>
+         <!-- End Axiom Menu -->
+         <!-- Start Equations Menu -->
+         <li>
+          <a class="toplevel" href="/">
+           Equations<!--span class="nabla">&nabla;</span-->
+          </a>
+          <ul>
+           <li>
+            <a class="drop" href="equations/solve.xhtml">
+             Solve
+            </a>
+           </li>
+           <li>
+            <a class="drop" href="equations/solvenumerically.xhtml">
+             Solve numerically
+            </a>
+           </li>
+           <li>
+            <a class="drop" href="equations/rootsofpolynomial.xhtml">
+             Roots of polynomial
+            </a>
+           </li>
+           <li>
+            <a class="drop" href="equations/Real roots of polynmial.xhtml">
+              Real roots of polynomial
+            </a>
+           </li>
+           <li>
+            <a class="drop" href="equations/solvelinearsystem.xhtml">
+             Solve linear system
+            </a>
+           </li>
+           <li>
+            <a class="drop" href="equations/solvealgebraicsystem.xhtml">
+             Solve algebraic system
+            </a>
+           </li>
+           <li>
+            <a class="drop" href="equations/eliminatevariable.xhtml">
+             Eliminate variable
+            </a>
+           </li>
+           <li>
+            <a class="drop" href="equations/solveode.xhtml">
+             Solve ODE
+            </a>
+           </li>
+           <li>
+            <a class="drop" href="equations/initialvalueproblem1.xhtml">
+             Initial value problem (1)
+            </a>
+           </li>
+           <li>
+            <a class="drop" href="equations/initialvalueproblem2.xhtml">
+             Initial value problem (2)
+            </a>
+           </li>
+           <li>
+            <a class="drop" href="equations/boundaryvalueproblem.xhtml">
+             Boundary value problem
+            </a>
+           </li>
+           <li>
+            <a class="drop" href="equations/solveodewithlaplace.xhtml">
+             Solve ODE with Laplace
+            </a>
+           </li>
+           <li>
+            <a class="drop" href="equations/atvalue.xhtml">
+             At value
+            </a>
+           </li>
+          </ul>
+         </li>
+         <!-- End Equations Menu -->
+         <!-- Start Algebra Menu -->
+         <li>
+          <a class="toplevel" href="/">
+           Algebra<!--span class="nabla">&nabla;</span-->
+          </a>
+          <ul>
+           <li>
+            <a class="drop" href="algebra/generatematrix.xhtml">
+             Generate matrix
+            </a>
+           </li>
+           <li>
+            <a class="drop" href="algebra/entermatrix.xhtml">
+             Enter matrix
+            </a>
+           </li>
+           <li>
+            <a class="drop" href="algebra/invertmatrix.xhtml">
+             Invert matrix
+            </a>
+           </li>
+           <li>
+            <a class="drop" href="algebra/characteristicpolynomial.xhtml">
+             Characteristic polynomial
+            </a>
+           </li>
+           <li>
+            <a class="drop" href="algebra/determinant.xhtml">
+             Determinant
+            </a>
+           </li>
+           <li>
+            <a class="drop" href="algebra/eigenvalues.xhtml">
+             Eigenvalues
+            </a>
+           </li>
+           <li>
+            <a class="drop" href="algebra/eigenvectors.xhtml">
+             Eigenvectors
+            </a>
+           </li>
+           <li>
+            <a class="drop" href="algebra/adjointmatrix.xhtml">
+             Adjoint matrix
+            </a>
+           </li>
+           <li>
+            <a class="drop" href="algebra/transposematrix.xhtml">
+             Transpose matrix
+            </a>
+           </li>
+           <li>
+            <a class="drop" href="algebra/makelist.xhtml">
+             Make list
+            </a>
+           </li>
+           <li>
+            <a class="drop" href="algebra/applytolist.xhtml">
+             Apply to list
+            </a>
+           </li>
+           <li>
+            <a class="drop" href="algebra/maptolist.xhtml">
+             Map to list
+            </a>
+           </li>
+           <li>
+            <a class="drop" href="algebra/reducelist.xhtml">
+             Reduce list
+            </a>
+           </li>
+           <li>
+            <a class="drop" href="algebra/maptomatrix.xhtml">
+             Map to matrix
+            </a>
+           </li>
+          </ul>
+         </li>
+         <!-- End Algebra Menu -->
+         <!-- Start Calculus Menu -->
+         <li>
+          <a class="toplevel" href="/">
+           Calculus<!--span class="nabla">&nabla;</span-->
+          </a>
+          <ul>
+           <li>
+            <a class="drop" href="calculus/level3.xhtml">
+             Level 3
+            </a>
+            <ul>
+             <li>
+              <a class="drop" href="calculus/integrate.xhtml">
+               Level 3 A
+              </a>
+             </li>
+             <li>
+              <a class="drop" href="calculus/integrate.xhtml">
+               Level 3 B
+              </a>
+             </li>
+             <li>
+              <a class="drop" href="calculus/integrate.xhtml">
+               Level 3 C
+              </a>
+             </li>
+            </ul>
+           </li>
+           <li>
+            <a class="drop" href="calculus/integrate.xhtml">
+             Integrate
+            </a>
+           </li>
+           <li>
+            <a class="drop" href="calculus/rischintegrate.xhtml">
+             Risch integrate
+            </a>
+           </li>
+           <li>
+            <a class="drop" href="calculus/changevariable.xhtml">
+             Change variable
+            </a>
+           </li>
+           <li>
+            <a class="drop" href="calculus/differentiate.xhtml">
+             Differentiate
+            </a>
+           </li>
+           <li>
+            <a class="drop" href="calculus/findlimit.xhtml">
+             Find limit
+            </a>
+           </li>
+           <li>
+            <a class="drop" href="calculus/getseries.xhtml">
+             Get series
+            </a>
+           </li>
+           <li>
+            <a class="drop" href="calculus/padeapproximation.xhtml">
+             Pade approximation
+            </a>
+           </li>
+           <li>
+            <a class="drop" href="calculus/calculussum.xhtml">
+             Calculus sum
+            </a>
+           </li>
+           <li>
+            <a class="drop" href="calculus/calculusproduct.xhtml">
+             Calculus product
+            </a>
+           </li>
+           <li>
+            <a class="drop" href="calculus/laplacetransform.xhtml">
+             Laplace transform
+            </a>
+           </li>
+           <li>
+            <a class="drop" href="calculus/inverselaplacetransform.xhtml">
+             Inverse Laplace transform
+            </a>
+           </li>
+           <li>
+            <a class="drop" href="calculus/greatestcommondivisor.xhtml">
+             Greatest common divisor
+            </a>
+           </li>
+           <li>
+            <a class="drop" href="calculus/leastcommonmultiple.xhtml">
+             Least common multiple
+            </a>
+           </li>
+           <li>
+            <a class="drop" href="calculus/dividepolynomials.xhtml">
+             Divide polynomials
+            </a>
+           </li>
+           <li>
+            <a class="drop" href="calculus/partialfractions.xhtml">
+             Partial fractions
+            </a>
+           </li>
+           <li>
+            <a class="drop" href="calculus/continuedfractions.xhtml">
+             Continued fractions
+            </a>
+           </li>
+          </ul>
+         </li>
+         <!-- End Calculus Menu -->
+         <!-- Start Simplify Menu -->
+         <li>
+          <a class="toplevel" href="/">
+           Simplify<!--span class="nabla">&nabla;</span-->
+          </a>
+          <ul>
+           <li>
+            <a class="drop" href="simplify/simplifyexpression.xhtml">
+             Simplify expression
+            </a>
+           </li>
+           <li>
+            <a class="drop" href="simplify/simplifyradicals.xhtml">
+             Simplify radicals
+            </a>
+           </li>
+           <li>
+            <a class="drop" href="simplify/factorexpression.xhtml">
+             Factor expression
+            </a>
+           </li>
+           <li>
+            <a class="drop" href="simplify/factorcomplex.xhtml">
+             Factor complex
+            </a>
+           </li>
+           <li>
+            <a class="drop" href="simplify/expandexpression.xhtml">
+             Expand expression
+            </a>
+           </li>
+           <li>
+            <a class="drop" href="simplify/expandlogarithms.xhtml">
+             Expand logarithms
+            </a>
+           </li>
+           <li>
+            <a class="drop" href="simplify/contractlogarithms.xhtml">
+             Contract logarithms
+            </a>
+           </li>
+           <li>
+            <a class="drop" href="simplify/factorialsandgamma.xhtml">
+             Factorials and Gamma
+            </a>
+           </li>
+           <li>
+            <a class="drop" href="simplify/trigonometricsimplification.xhtml">
+             Trigonometric simplification
+            </a>
+           </li>
+           <li>
+            <a class="drop" href="simplify/complexsimplification.xhtml">
+             Complex simplification
+            </a>
+           </li>
+           <li>
+            <a class="drop" href="simplify/subtitute.xhtml">
+             Substitute
+            </a>
+           </li>
+           <li>
+            <a class="drop" href="simplify/evaluatenounform.xhtml">
+             Evaluate noun form
+            </a>
+           </li>
+           <li>
+            <a class="drop" href="simplify/togglealgebraicflag.xhtml">
+             Toggle algebraic flag
+            </a>
+           </li>
+           <li>
+            <a class="drop" href="simplify/addalgebraicequality.xhtml">
+             Add algebraic equality
+            </a>
+           </li>
+           <li>
+            <a class="drop" href="simplify/moduluscomputation.xhtml">
+             Modulus computation
+            </a>
+           </li>
+          </ul>
+         </li>
+         <!-- End Simplify Menu -->
+         <!-- Start Numeric Menu -->
+         <li>
+          <a class="toplevel" href="/">
+           Numeric<!--span class="nabla">&nabla;</span-->
+          </a>
+          <ul>
+           <li>
+            <a class="drop" href="numeric/togglenumericoutput.xhtml">
+             Toggle numeric output
+            </a>
+           </li>
+           <li>
+            <a class="drop" href="numeric/tofloat.xhtml">
+             To float
+            </a>
+           </li>
+           <li>
+            <a class="drop" href="numeric/tobigfloat.xhtml">
+             To bigfloat
+            </a>
+           </li>
+           <li>
+            <a class="drop" href="numeric/setprecision.xhtml">
+             Set precision
+            </a>
+           </li>
+          </ul>
+         </li>
+         <!-- End Simplify Menu -->
+        </ul>
+       </div>
+      </td>
+     </tr>
+    </table>
+   </form>
+  </div>
+
 <ul>
  <li>
   <input type="submit" id="p1" class="subbut" 
@@ -6499,22 +7371,743 @@ The available test suites are:
 \subsection{commandline.xhtml}
 <<commandline.xhtml>>=
 <<standard head>>
+<<menu style>>
   <script type="text/javascript">
    function commandline(arg) {
     return(document.getElementById('comm').value);
    }
+   function popUp(url,widthsize,heightsize) {
+     var widthsize=640;
+     var heightsize=480;
+     var p1 = "toolbar=no";
+     var p2 = ",location=no";
+     var p3 = ",directories=no";
+     var p4 = ",status=no";
+     var p5 = ",menubar=no";
+     var p6 = ",scrollbars=no";
+     var p7 = ",resizable=no";
+     var p8 = ",top="+(window.screen.height-heightsize)/2;
+     var p9 = ",left="+(window.screen.width-widthsize)/2;
+     var pa = ",width="+widthsize;
+     var pb = ",height="+heightsize;
+     var winProps=p1+p2+p3+p4+p5+p6+p7+p8+p9+pa+pb;
+     var popUp = window.open(url,"popup",winProps);
+     popUp.focus();
+   }
+   var card = '{is:"card",'+
+               'title:"",'+
+               'content:"",'+
+               'type:"",'+
+               'visible:"false"}';
+   function newcard(title,content,type,visible) {
+      var c = eval("("+card+")"); 
+      c.title=title;
+      c.content=content;
+      c.type=type;
+      c.visible=visible;
+      return(c);
+   }
+   var pamphlet = '{is:"pamphlet",'+
+                   'head:"",'+
+                   'body:[],'+
+                   'tail:"",'+
+                   'visible:"false"}';
+   function newpamphlet(title,content,type,visible) {
+      var p = eval("("+pamphlet+")"); 
+      p.title=title;
+      p.content=content;
+      p.type=type;
+      p.visible=visible;
+      return(p);
+   }
+   function dump(d) {
+     if (d.is == "card") {
+      return("CARD"+"\n"+
+             "title:  "+d.title+"\n"+
+             "content:"+d.content+"\n"+
+             "visible:"+d.visible+"\n"+
+             "type:   "+d.type);
+     }
+     if (d.is == "pamphlet") {
+      return("PAMPHLET"+"\n"+
+             "title:  "+d.title+"\n"+
+             "content:"+d.content+"\n"+
+             "visible:"+d.visible+"\n"+
+             "type:   "+d.type);
+     }
+   }
+   function makeone() {
+     var p = newpamphlet("makeone",card,"text","true");
+     alert(dumppamphlet(p));
+     alert(dump(p));
+   }
 <<showfullanswer>>
 <<axiom talker>>
   </script>
  </head>
  <body>
-<<page head>>
+  <div align="center">
+   <!--main menu-->
+   <form method="get" action="foo.xhtml">
+    <table class="mainmenu" border="0" cellspacing="0" cellpadding="0">
+     <tr>
+      <td align="center" valign="middle" nowrap="nowrap">
+       <div class="menu">
+        <ul>
+         <!-- Begin File Menu -->
+         <li>
+          <a class="toplevel" href="/">
+           File<!--span class="nabla">&nabla;</span-->
+          </a>
+          <ul>
+           <li>
+            <a class="drop" href="javascript:popUp('menufileopen.xhtml')">
+             Open
+            </a>
+           </li>
+           <li>
+            <a class="drop" href="javascript:popUp('menufileread.xhtml')">
+             Read file
+            </a>
+           </li>
+           <li>
+            <a class="drop" href="javascript:popUp('menufilesave.xhtml')">
+             Save
+            </a>
+           </li>
+           <li>
+            <a class="drop" href="javascript:popUp('menufilesaveas.xhtml')">
+             Save as
+            </a>
+           </li>
+           <li>
+            <a class="drop" 
+               href="javascript:popUp('menufileloadlibrary.xhtml')">
+             Load library
+            </a>
+           </li>
+           <li>
+            <a class="drop" href="javascript:popUp('menufileinputfile.xhtml')">
+             Input file
+            </a>
+           </li>
+           <li>
+            <a class="drop" 
+               href="javascript:popUp('menufiletogglespool.xhtml')">
+             Toggle spool
+            </a>
+           </li>
+           <li>
+            <a class="drop" href="javascript:popUp('menufileprint.xhtml')">
+             Print
+            </a>
+           </li>
+           <li>
+            <a class="drop" href="javascript:popUp('menufileexit.xhtml')">
+             Exit
+            </a>
+           </li>
+          </ul>
+         </li>
+         <!-- End File Menu -->
+         <!-- Start Edit Menu -->
+         <li>
+          <a class="toplevel" href="/">
+           Edit<!--span class="nabla">&nabla;</span-->
+          </a>
+          <ul>
+           <li>
+            <a class="drop" href="javascript:popUp('menueditcopy.xhtml')">
+             Copy
+            </a>
+           </li>
+           <li>
+            <a class="drop" href="javascript:popUp('menueditcopytext.xhtml')">
+             Copy text
+            </a>
+           </li>
+           <li>
+            <a class="drop" href="javascript:popUp('menueditcopytex.xhtml')">
+             Copy TeX
+            </a>
+           </li>
+           <li>
+            <a class="drop" 
+               href="javascript:popUp('menueditdeleteselection.xhtml')">
+              Delete selection
+            </a>
+           </li>
+           <li>
+            <a class="drop" 
+               href="javascript:popUp('menueditcopyasimage.xhtml')">
+             Copy as image     
+            </a>
+           </li>
+           <li>
+            <a class="drop" 
+               href="javascript:popUp('menueditselectiontoimage.xhtml')">
+             Selection to image
+            </a>
+           </li>
+           <li>
+            <a class="drop" 
+               href="javascript:popUp('menueditselectiontoinput.xhtml')">
+             Selection to input
+            </a>
+           </li>
+           <li>
+            <a class="drop" href="javascript:popUp('menueditcut.xhtml')">
+             Cut               
+            </a>
+           </li>
+           <li>
+            <a class="drop" href="javascript:popUp('menueditpaste.xhtml')">
+             Paste
+            </a>
+           </li>
+          </ul>
+         </li>
+         <!-- End Edit Menu -->
+         <!-- Start Axiom Menu -->
+         <li>
+          <a class="toplevel" href="/">
+           Axiom<!--span class="nabla">&nabla;</span-->
+          </a>
+          <ul>
+           <li>
+            <a class="drop" 
+               href="javascript:popUp('menuaxiominterrupt.xhtml')">
+             Interrupt
+            </a>
+           </li>
+           <li>
+            <a class="drop" 
+              href="javascript:popUp('menuaxiomrestart.xhtml')">
+             Restart
+            </a>
+           </li>
+           <li>
+            <a class="drop" 
+               href="javascript:popUp('menuaxiomclearmemory.xhtml')">
+             Clear Memory
+            </a>
+           </li>
+           <li>
+            <a class="drop" 
+               href="javascript:popUp('menuaxiomaddtopath.xhtml')">
+              Add to path
+            </a>
+           </li>
+           <li>
+            <a class="drop" 
+               href="javascript:popUp('menuaxiomshowfunctions.xhtml')">
+             Show functions
+            </a>
+           </li>
+           <li>
+            <a class="drop" 
+               href="javascript:popUp('menuaxiomshowdefinition.xhtml')">
+             Show definition
+            </a>
+           </li>
+           <li>
+            <a class="drop" 
+               href="javascript:popUp('menuaxiomshowvariables.xhtml')">
+             Show variables
+            </a>
+           </li>
+           <li>
+            <a class="drop" 
+               href="javascript:popUp('menuaxiomdeletefunction.xhtml')">
+             Delete function
+            </a>
+           </li>
+           <li>
+            <a class="drop" 
+               href="javascript:popUp('menuaxiomdeletevariable.xhtml')">
+             Delete variable
+            </a>
+           </li>
+           <li>
+            <a class="drop" 
+               href="javascript:popUp('menuaxiomtoggletimedisplay.xhtml')">
+             Toggle time display
+            </a>
+           </li>
+           <li>
+            <a class="drop" 
+               href="javascript:popUp('menuaxiomset.xhtml')">
+             Set ...
+            </a>
+           </li>
+           <li>
+            <a class="drop" 
+               href="javascript:popUp('menuaxiomdisplay.xhtml')">
+             Display ...
+            </a>
+           </li>
+          </ul>
+         </li>
+         <!-- End Axiom Menu -->
+         <!-- Start Equations Menu -->
+         <li>
+          <a class="toplevel" href="/">
+           Equations<!--span class="nabla">&nabla;</span-->
+          </a>
+          <ul>
+           <li>
+            <a class="drop" 
+               href="javascript:popUp('menuequationssolve.xhtml')">
+             Solve
+            </a>
+           </li>
+           <li>
+            <a class="drop" 
+               href="javascript:popUp('menuequationssolvenumerically.xhtml')">
+             Solve numerically
+            </a>
+           </li>
+           <li>
+            <a class="drop" 
+               href="javascript:popUp('menuequationsrootsofpolynomial.xhtml')">
+             Roots of polynomial
+            </a>
+           </li>
+           <li>
+            <a class="drop" href=
+                "javascript:popUp('menuequationsrealrootsofpolynmial.xhtml')">
+              Real roots of polynomial
+            </a>
+           </li>
+           <li>
+            <a class="drop" 
+               href="javascript:popUp('menuequationssolvelinearsystem.xhtml')">
+             Solve linear system
+            </a>
+           </li>
+           <li>
+            <a class="drop" href=
+               "javascript:popUp('menuequationssolvealgebraicsystem.xhtml')">
+             Solve algebraic system
+            </a>
+           </li>
+           <li>
+            <a class="drop" 
+               href="javascript:popUp('menuequationseliminatevariable.xhtml')">
+             Eliminate variable
+            </a>
+           </li>
+           <li>
+            <a class="drop" 
+               href="javascript:popUp('menuequationssolveode.xhtml')">
+             Solve ODE
+            </a>
+           </li>
+           <li>
+            <a class="drop" href=
+               "javascript:popUp('menuequationsinitialvalueproblem1.xhtml')">
+             Initial value problem (1)
+            </a>
+           </li>
+           <li>
+            <a class="drop" href=
+               "javascript:popUp('menuequationsinitialvalueproblem2.xhtml')">
+             Initial value problem (2)
+            </a>
+           </li>
+           <li>
+            <a class="drop" href=
+               "javascript:popUp('menuequationsboundaryvalueproblem.xhtml')">
+             Boundary value problem
+            </a>
+           </li>
+           <li>
+            <a class="drop" href=
+               "javascript:popUp('menuequationssolveodewithlaplace.xhtml')">
+             Solve ODE with Laplace
+            </a>
+           </li>
+           <li>
+            <a class="drop" 
+               href="javascript:popUp('menuequationsatvalue.xhtml')">
+             At value
+            </a>
+           </li>
+          </ul>
+         </li>
+         <!-- End Equations Menu -->
+         <!-- Start Algebra Menu -->
+         <li>
+          <a class="toplevel" href="/">
+           Algebra<!--span class="nabla">&nabla;</span-->
+          </a>
+          <ul>
+           <li>
+            <a class="drop" 
+               href="javascript:popUp('menualgebrageneratematrix.xhtml')">
+             Generate matrix
+            </a>
+           </li>
+           <li>
+            <a class="drop" 
+               href="javascript:popUp('menualgebraentermatrix.xhtml')">
+             Enter matrix
+            </a>
+           </li>
+           <li>
+            <a class="drop" 
+               href="javascript:popUp('menualgebrainvertmatrix.xhtml')">
+             Invert matrix
+            </a>
+           </li>
+           <li>
+            <a class="drop" href=
+              "javascript:popUp('menualgebracharacteristicpolynomial.xhtml')">
+             Characteristic polynomial
+            </a>
+           </li>
+           <li>
+            <a class="drop" 
+               href="javascript:popUp('menualgebradeterminant.xhtml')">
+             Determinant
+            </a>
+           </li>
+           <li>
+            <a class="drop" 
+               href="javascript:popUp('menualgebraeigenvalues.xhtml')">
+             Eigenvalues
+            </a>
+           </li>
+           <li>
+            <a class="drop" 
+               href="javascript:popUp('menualgebraeigenvectors.xhtml')">
+             Eigenvectors
+            </a>
+           </li>
+           <li>
+            <a class="drop" 
+               href="javascript:popUp('menualgebraadjointmatrix.xhtml')">
+             Adjoint matrix
+            </a>
+           </li>
+           <li>
+            <a class="drop" 
+               href="javascript:popUp('menualgebratransposematrix.xhtml')">
+             Transpose matrix
+            </a>
+           </li>
+           <li>
+            <a class="drop" 
+               href="javascript:popUp('menualgebramakelist.xhtml')">
+             Make list
+            </a>
+           </li>
+           <li>
+            <a class="drop" 
+               href="javascript:popUp('menualgebraapplytolist.xhtml')">
+             Apply to list
+            </a>
+           </li>
+           <li>
+            <a class="drop" 
+               href="javascript:popUp('menualgebramaptolist.xhtml')">
+             Map to list
+            </a>
+           </li>
+           <li>
+            <a class="drop" 
+               href="javascript:popUp('menualgebrareducelist.xhtml')">
+             Reduce list
+            </a>
+           </li>
+           <li>
+            <a class="drop" 
+               href="javascript:popUp('menualgebramaptomatrix.xhtml')">
+             Map to matrix
+            </a>
+           </li>
+          </ul>
+         </li>
+         <!-- End Algebra Menu -->
+         <!-- Start Calculus Menu -->
+         <li>
+          <a class="toplevel" href="/">
+           Calculus<!--span class="nabla">&nabla;</span-->
+          </a>
+          <ul>
+           <li>
+            <a class="drop" 
+               href="javascript:popUp('menucalculuslevel3.xhtml')">
+             Level 3
+            </a>
+            <ul>
+             <li>
+              <a class="drop" 
+               href="javascript:popUp('menucalculuslevel3a.xhtml')">
+               Level 3 A
+              </a>
+             </li>
+             <li>
+              <a class="drop" 
+               href="javascript:popUp('menucalculuslevel3b.xhtml')">
+               Level 3 B
+              </a>
+             </li>
+             <li>
+              <a class="drop" 
+               href="javascript:popUp('menucalculuslevel3c.xhtml')">
+               Level 3 C
+              </a>
+             </li>
+            </ul>
+           </li>
+           <li>
+            <a class="drop" 
+               href="javascript:popUp('menucalculusintegrate.xhtml')">
+             Integrate
+            </a>
+           </li>
+           <li>
+            <a class="drop" 
+               href="javascript:popUp('menucalculusrischintegrate.xhtml')">
+             Risch integrate
+            </a>
+           </li>
+           <li>
+            <a class="drop" 
+               href="javascript:popUp('menucalculuschangevariable.xhtml')">
+             Change variable
+            </a>
+           </li>
+           <li>
+            <a class="drop" 
+               href="javascript:popUp('menucalculusdifferentiate.xhtml')">
+             Differentiate
+            </a>
+           </li>
+           <li>
+            <a class="drop" 
+               href="javascript:popUp('menucalculusfindlimit.xhtml')">
+             Find limit
+            </a>
+           </li>
+           <li>
+            <a class="drop" 
+               href="javascript:popUp('menucalculusgetseries.xhtml')">
+             Get series
+            </a>
+           </li>
+           <li>
+            <a class="drop" 
+               href="javascript:popUp('menucalculuspadeapproximation.xhtml')">
+             Pade approximation
+            </a>
+           </li>
+           <li>
+            <a class="drop" 
+               href="javascript:popUp('menucalculuscalculussum.xhtml')">
+             Calculus sum
+            </a>
+           </li>
+           <li>
+            <a class="drop" 
+               href="javascript:popUp('menucalculuscalculusproduct.xhtml')">
+             Calculus product
+            </a>
+           </li>
+           <li>
+            <a class="drop" 
+               href="javascript:popUp('menucalculuslaplacetransform.xhtml')">
+             Laplace transform
+            </a>
+           </li>
+           <li>
+            <a class="drop" href=
+              "javascript:popUp('menucalculusinverselaplacetransform.xhtml')">
+             Inverse Laplace transform
+            </a>
+           </li>
+           <li>
+            <a class="drop" href=
+              "javascript:popUp('menucalculusgreatestcommondivisor.xhtml')">
+             Greatest common divisor
+            </a>
+           </li>
+           <li>
+            <a class="drop" href=
+              "javascript:popUp('menucalculusleastcommonmultiple.xhtml')">
+             Least common multiple
+            </a>
+           </li>
+           <li>
+            <a class="drop" 
+               href="javascript:popUp('menucalculusdividepolynomials.xhtml')">
+             Divide polynomials
+            </a>
+           </li>
+           <li>
+            <a class="drop" 
+               href="javascript:popUp('menucalculuspartialfractions.xhtml')">
+             Partial fractions
+            </a>
+           </li>
+           <li>
+            <a class="drop" 
+              href="javascript:popUp('menucalculuscontinuedfractions.xhtml')">
+             Continued fractions
+            </a>
+           </li>
+          </ul>
+         </li>
+         <!-- End Calculus Menu -->
+         <!-- Start Simplify Menu -->
+         <li>
+          <a class="toplevel" href="/">
+           Simplify<!--span class="nabla">&nabla;</span-->
+          </a>
+          <ul>
+           <li>
+            <a class="drop" href=
+              "javascript:popUp('menusimplifysimplifyexpression.xhtml')">
+             Simplify expression
+            </a>
+           </li>
+           <li>
+            <a class="drop" 
+               href="javascript:popUp('menusimplifysimplifyradicals.xhtml')">
+             Simplify radicals
+            </a>
+           </li>
+           <li>
+            <a class="drop" 
+               href="javascript:popUp('menusimplifyfactorexpression.xhtml')">
+             Factor expression
+            </a>
+           </li>
+           <li>
+            <a class="drop" 
+               href="javascript:popUp('menusimplifyfactorcomplex.xhtml')">
+             Factor complex
+            </a>
+           </li>
+           <li>
+            <a class="drop" 
+               href="javascript:popUp('menusimplifyexpandexpression.xhtml')">
+             Expand expression
+            </a>
+           </li>
+           <li>
+            <a class="drop" 
+               href="javascript:popUp('menusimplifyexpandlogarithms.xhtml')">
+             Expand logarithms
+            </a>
+           </li>
+           <li>
+            <a class="drop" 
+               href="javascript:popUp('menusimplifycontractlogarithms.xhtml')">
+             Contract logarithms
+            </a>
+           </li>
+           <li>
+            <a class="drop" 
+              href="javascript:popUp('menusimplifyfactorialsandgamma.xhtml')">
+             Factorials and Gamma
+            </a>
+           </li>
+           <li>
+            <a class="drop" href=
+              "javascript:popUp('menusimplifytrigsimplification.xhtml')">
+             Trigonometric simplification
+            </a>
+           </li>
+           <li>
+            <a class="drop" href=
+               "javascript:popUp('menusimplifycomplexsimplification.xhtml')">
+             Complex simplification
+            </a>
+           </li>
+           <li>
+            <a class="drop" 
+               href="javascript:popUp('menusimplifysubtitute.xhtml')">
+             Substitute
+            </a>
+           </li>
+           <li>
+            <a class="drop" 
+               href="javascript:popUp('menusimplifyevaluatenounform.xhtml')">
+             Evaluate noun form
+            </a>
+           </li>
+           <li>
+            <a class="drop" href=
+               "javascript:popUp('menusimplifytogglealgebraicflag.xhtml')">
+             Toggle algebraic flag
+            </a>
+           </li>
+           <li>
+            <a class="drop" href=
+              "javascript:popUp('menusimplifyaddalgebraicequality.xhtml')">
+             Add algebraic equality
+            </a>
+           </li>
+           <li>
+            <a class="drop" 
+               href="javascript:popUp('menusimplifymoduluscomputation.xhtml')">
+             Modulus computation
+            </a>
+           </li>
+          </ul>
+         </li>
+         <!-- End Simplify Menu -->
+         <!-- Start Numeric Menu -->
+         <li>
+          <a class="toplevel" href="/">
+           Numeric<!--span class="nabla">&nabla;</span-->
+          </a>
+          <ul>
+           <li>
+            <a class="drop" 
+              href="javascript:popUp('menunumerictogglenumericoutput.xhtml')">
+             Toggle numeric output
+            </a>
+           </li>
+           <li>
+            <a class="drop" 
+               href="javascript:popUp('menunumerictofloat.xhtml')">
+             To float
+            </a>
+           </li>
+           <li>
+            <a class="drop" 
+               href="javascript:popUp('menunumerictobigfloat.xhtml')">
+             To bigfloat
+            </a>
+           </li>
+           <li>
+            <a class="drop" 
+               href="javascript:popUp('menunumericsetprecision.xhtml')">
+             Set precision
+            </a>
+           </li>
+          </ul>
+         </li>
+         <!-- End Simplify Menu -->
+        </ul>
+       </div>
+      </td>
+     </tr>
+    </table>
+   </form>
+  </div>
+<hr/>
+<a href="javascript:makeone();">makeone</a>
   <form id="commreq">
     <p>
       Type an input command line to Axiom:<br/>
       <input type="text" id="p1" 
        onclick="interpcall('p1');"
-       value="integrate(sin(x),x)" />
+       value="integrate(sin(x),x)" 
+       size="80" />
     </p>
   </form>
   <center>
@@ -38981,6 +40574,966 @@ Enter search string (use <b>*</b> for wild card unless counter-indicated):
 <<page foot>>
 @
 
+\subsection{menualgebraadjointmatrix.xhtml}
+<<menualgebraadjointmatrix.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+menualgebraadjointmatrix not implemented
+<<page foot>>
+@
+
+\subsection{menualgebraapplytolist.xhtml}
+<<menualgebraapplytolist.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+menualgebraapplytolist not implemented
+<<page foot>>
+@
+
+\subsection{menualgebracharacteristicpolynomial.xhtml}
+<<menualgebracharacteristicpolynomial.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+menualgebracharacteristicpolynomial not implemented
+<<page foot>>
+@
+
+\subsection{menualgebradeterminant.xhtml}
+<<menualgebradeterminant.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+menualgebradeterminant not implemented
+<<page foot>>
+@
+
+\subsection{menualgebraeigenvalues.xhtml}
+<<menualgebraeigenvalues.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+menualgebraeigenvalues not implemented
+<<page foot>>
+@
+
+\subsection{menualgebraeigenvectors.xhtml}
+<<menualgebraeigenvectors.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+menualgebraeigenvectors not implemented
+<<page foot>>
+@
+
+\subsection{menualgebraentermatrix.xhtml}
+<<menualgebraentermatrix.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+menualgebraentermatrix not implemented
+<<page foot>>
+@
+
+\subsection{menualgebrainvertmatrix.xhtml}
+<<menualgebrainvertmatrix.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+menualgebrainvertmatrix not implemented
+<<page foot>>
+@
+
+\subsection{menualgebrageneratematrix.xhtml}
+<<menualgebrageneratematrix.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+menualgebrageneratematrix not implemented
+<<page foot>>
+@
+
+\subsection{menualgebramakelist.xhtml}
+<<menualgebramakelist.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+menualgebramakelist not implemented
+<<page foot>>
+@
+
+\subsection{menualgebramaptolist.xhtml}
+<<menualgebramaptolist.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+menualgebramaptolist not implemented
+<<page foot>>
+@
+
+\subsection{menualgebramaptomatrix.xhtml}
+<<menualgebramaptomatrix.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+menualgebramaptomatrix not implemented
+<<page foot>>
+@
+
+\subsection{menualgebrareducelist.xhtml}
+<<menualgebrareducelist.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+menualgebrareducelist not implemented
+<<page foot>>
+@
+
+\subsection{menualgebratransposematrix.xhtml}
+<<menualgebratransposematrix.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+menualgebratransposematrix not implemented
+<<page foot>>
+@
+
+\subsection{menuaxiomaddtopath.xhtml}
+<<menuaxiomaddtopath.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+menuaxiomaddtopath not implemented
+<<page foot>>
+@
+
+\subsection{menuaxiomclearmemory.xhtml}
+<<menuaxiomclearmemory.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+menuaxiomclearmemory not implemented
+<<page foot>>
+@
+
+\subsection{menuaxiomdeletefunction.xhtml}
+<<menuaxiomdeletefunction.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+menuaxiomdeletefunction not implemented
+<<page foot>>
+@
+
+\subsection{menuaxiomdeletevariable.xhtml}
+<<menuaxiomdeletevariable.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+menuaxiomdeletevariable not implemented
+<<page foot>>
+@
+
+\subsection{menuaxiominterrupt.xhtml}
+<<menuaxiominterrupt.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+menuaxiominterrupt not implemented
+<<page foot>>
+@
+
+\subsection{menuaxiomrestart.xhtml}
+<<menuaxiomrestart.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+menuaxiomrestart not implemented
+<<page foot>>
+@
+
+\subsection{menuaxiomshowdefinition.xhtml}
+<<menuaxiomshowdefinition.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+menuaxiomshowdefinition not implemented
+<<page foot>>
+@
+
+\subsection{menuaxiomdisplay.xhtml}
+<<menuaxiomdisplay.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+menuaxiomdisplay not implemented
+<<page foot>>
+@
+
+\subsection{menuaxiomset.xhtml}
+<<menuaxiomset.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+menuaxiomset not implemented
+<<page foot>>
+@
+
+\subsection{menuaxiomshowfunctions.xhtml}
+<<menuaxiomshowfunctions.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+menuaxiomshowfunctions not implemented
+<<page foot>>
+@
+
+\subsection{menuaxiomshowvariables.xhtml}
+<<menuaxiomshowvariables.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+menuaxiomshowvariables not implemented
+<<page foot>>
+@
+
+\subsection{menuaxiomtoggletimedisplay.xhtml}
+<<menuaxiomtoggletimedisplay.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+menuaxiomtoggletimedisplay not implemented
+<<page foot>>
+@
+
+\subsection{menucalculuscalculussum.xhtml}
+<<menucalculuscalculussum.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+menucalculuscalculussum not implemented
+<<page foot>>
+@
+
+\subsection{menucalculuscalculusproduct.xhtml}
+<<menucalculuscalculusproduct.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+menucalculuscalculusproduct not implemented
+<<page foot>>
+@
+
+\subsection{menucalculuschangevariable.xhtml}
+<<menucalculuschangevariable.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+menucalculuschangevariable not implemented
+<<page foot>>
+@
+
+\subsection{menucalculuscontinuedfractions.xhtml}
+<<menucalculuscontinuedfractions.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+menucalculuscontinuedfractions not implemented
+<<page foot>>
+@
+
+\subsection{menucalculusdifferentiate.xhtml}
+<<menucalculusdifferentiate.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+menucalculusdifferentiate not implemented
+<<page foot>>
+@
+
+\subsection{menucalculusdividepolynomials.xhtml}
+<<menucalculusdividepolynomials.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+menucalculusdividepolynomials not implemented
+<<page foot>>
+@
+
+\subsection{menucalculusfindlimit.xhtml}
+<<menucalculusfindlimit.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+menucalculusfindlimit not implemented
+<<page foot>>
+@
+
+\subsection{menucalculusgetseries.xhtml}
+<<menucalculusgetseries.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+menucalculusgetseries not implemented
+<<page foot>>
+@
+
+\subsection{menucalculusgreatestcommondivisor.xhtml}
+<<menucalculusgreatestcommondivisor.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+menucalculusgreatestcommondivisor not implemented
+<<page foot>>
+@
+
+\subsection{menucalculusleastcommonmultiple.xhtml}
+<<menucalculusleastcommonmultiple.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+menucalculusleastcommonmultiple not implemented
+<<page foot>>
+@
+
+\subsection{menucalculusintegrate.xhtml}
+<<menucalculusintegrate.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+menucalculusintegrate not implemented
+<<page foot>>
+@
+
+\subsection{menucalculusinverselaplacetransform.xhtml}
+<<menucalculusinverselaplacetransform.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+menucalculusinverselaplacetransform not implemented
+<<page foot>>
+@
+
+\subsection{menucalculuslaplacetransform.xhtml}
+<<menucalculuslaplacetransform.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+menucalculuslaplacetransform not implemented
+<<page foot>>
+@
+
+\subsection{menucalculuslevel3.xhtml}
+<<menucalculuslevel3.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+menucalculuslevel3 not implemented
+<<page foot>>
+@
+
+\subsection{menucalculuslevel3a.xhtml}
+<<menucalculuslevel3a.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+menucalculuslevel3a not implemented
+<<page foot>>
+@
+
+\subsection{menucalculuslevel3b.xhtml}
+<<menucalculuslevel3b.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+menucalculuslevel3b not implemented
+<<page foot>>
+@
+
+\subsection{menucalculuslevel3c.xhtml}
+<<menucalculuslevel3c.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+menucalculuslevel3c not implemented
+<<page foot>>
+@
+
+\subsection{menucalculuspadeapproximation.xhtml}
+<<menucalculuspadeapproximation.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+menucalculuspadeapproximation not implemented
+<<page foot>>
+@
+
+\subsection{menucalculuspartialfractions.xhtml}
+<<menucalculuspartialfractions.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+menucalculuspartialfractions not implemented
+<<page foot>>
+@
+
+\subsection{menucalculusrischintegrate.xhtml}
+<<menucalculusrischintegrate.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+menucalculusrischintegrate not implemented
+<<page foot>>
+@
+
+\subsection{menueditcopy.xhtml}
+<<menueditcopy.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+menueditcopy not implemented
+<<page foot>>
+@
+
+\subsection{menueditcopyasimage.xhtml}
+<<menueditcopyasimage.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+menueditcopyasimage not implemented
+<<page foot>>
+@
+
+\subsection{menueditcopytex.xhtml}
+<<menueditcopytex.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+menueditcopytex not implemented
+<<page foot>>
+@
+
+\subsection{menueditcopytext.xhtml}
+<<menueditcopytext.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+menueditcopytext not implemented
+<<page foot>>
+@
+
+\subsection{menueditcut.xhtml}
+<<menueditcut.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+menueditcut not implemented
+<<page foot>>
+@
+
+\subsection{menueditpaste.xhtml}
+<<menueditpaste.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+menueditpaste not implemented
+<<page foot>>
+@
+
+\subsection{menueditdeleteselection.xhtml}
+<<menueditdeleteselection.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+menueditdeleteselection not implemented
+<<page foot>>
+@
+
+\subsection{menueditselectiontoimage.xhtml}
+<<menueditselectiontoimage.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+menueditselectiontoimage not implemented
+<<page foot>>
+@
+
+\subsection{menueditselectiontoinput.xhtml}
+<<menueditselectiontoinput.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+menueditselectiontoinput not implemented
+<<page foot>>
+@
+
+\subsection{menuequationsrealrootsofpolynmial.xhtml}
+<<menuequationsrealrootsofpolynmial.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+menuequationsrealrootsofpolynmial not implemented
+<<page foot>>
+@
+
+\subsection{menuequationsatvalue.xhtml}
+<<menuequationsatvalue.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+menuequationsatvalue not implemented
+<<page foot>>
+@
+
+\subsection{menuequationsboundaryvalueproblem.xhtml}
+<<menuequationsboundaryvalueproblem.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+menuequationsboundaryvalueproblem not implemented
+<<page foot>>
+@
+
+\subsection{menuequationsinitialvalueproblem1.xhtml}
+<<menuequationsinitialvalueproblem1.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+menuequationsinitialvalueproblem1 not implemented
+<<page foot>>
+@
+
+\subsection{menuequationsinitialvalueproblem2.xhtml}
+<<menuequationsinitialvalueproblem2.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+menuequationsinitialvalueproblem2 not implemented
+<<page foot>>
+@
+
+\subsection{menuequationssolvealgebraicsystem.xhtml}
+<<menuequationssolvealgebraicsystem.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+menuequationssolvealgebraicsystem not implemented
+<<page foot>>
+@
+
+\subsection{menuequationseliminatevariable.xhtml}
+<<menuequationseliminatevariable.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+menuequationseliminatevariable not implemented
+<<page foot>>
+@
+
+\subsection{menuequationssolvelinearsystem.xhtml}
+<<menuequationssolvelinearsystem.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+menuequationssolvelinearsystem not implemented
+<<page foot>>
+@
+
+\subsection{menuequationssolveode.xhtml}
+<<menuequationssolveode.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+menuequationssolveode not implemented
+<<page foot>>
+@
+
+\subsection{menuequationssolveodewithlaplace.xhtml}
+<<menuequationssolveodewithlaplace.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+menuequationssolveodewithlaplace not implemented
+<<page foot>>
+@
+
+\subsection{menuequationsrootsofpolynomial.xhtml}
+<<menuequationsrootsofpolynomial.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+menuequationsrootsofpolynomial not implemented
+<<page foot>>
+@
+
+\subsection{menuequationssolve.xhtml}
+<<menuequationssolve.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+menuequationssolve not implemented
+<<page foot>>
+@
+
+\subsection{menuequationssolvenumerically.xhtml}
+<<menuequationssolvenumerically.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+menuequationssolvenumerically not implemented
+<<page foot>>
+@
+
+\subsection{menufileexit.xhtml}
+<<menufileexit.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+menufileexit not implemented
+<<page foot>>
+@
+
+\subsection{menufileinputfile.xhtml}
+<<menufileinputfile.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+menufileinputfile not implemented
+<<page foot>>
+@
+
+\subsection{menufileloadlibrary.xhtml}
+<<menufileloadlibrary.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+menufileloadlibrary not implemented
+<<page foot>>
+@
+
+\subsection{menufileopen.xhtml}
+<<menufileopen.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+menufileopen not implemented
+<<page foot>>
+@
+
+\subsection{menufileprint.xhtml}
+<<menufileprint.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+menufileprint not implemented
+<<page foot>>
+@
+
+\subsection{menufileread.xhtml}
+<<menufileread.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+menufileread not implemented
+<<page foot>>
+@
+
+\subsection{menufilesave.xhtml}
+<<menufilesave.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+menufilesave not implemented
+<<page foot>>
+@
+
+\subsection{menufilesaveas.xhtml}
+<<menufilesaveas.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+menufilesaveas not implemented
+<<page foot>>
+@
+
+\subsection{menufiletogglespool.xhtml}
+<<menufiletogglespool.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+menufiletogglespool not implemented
+<<page foot>>
+@
+
+\subsection{menunumericsetprecision.xhtml}
+<<menunumericsetprecision.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+menunumericsetprecision not implemented
+<<page foot>>
+@
+
+\subsection{menunumerictobigfloat.xhtml}
+<<menunumerictobigfloat.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+menunumerictobigfloat not implemented
+<<page foot>>
+@
+
+\subsection{menunumerictofloat.xhtml}
+<<menunumerictofloat.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+menunumerictofloat not implemented
+<<page foot>>
+@
+
+\subsection{menunumerictogglenumericoutput.xhtml}
+<<menunumerictogglenumericoutput.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+menunumerictogglenumericoutput not implemented
+<<page foot>>
+@
+
+\subsection{menusimplifyaddalgebraicequality.xhtml}
+<<menusimplifyaddalgebraicequality.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+menusimplifyaddalgebraicequality not implemented
+<<page foot>>
+@
+
+\subsection{menusimplifycomplexsimplification.xhtml}
+<<menusimplifycomplexsimplification.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+menusimplifycomplexsimplification not implemented
+<<page foot>>
+@
+
+\subsection{menusimplifycontractlogarithms.xhtml}
+<<menusimplifycontractlogarithms.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+menusimplifycontractlogarithms not implemented
+<<page foot>>
+@
+
+\subsection{menusimplifyevaluatenounform.xhtml}
+<<menusimplifyevaluatenounform.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+menusimplifyevaluatenounform not implemented
+<<page foot>>
+@
+
+\subsection{menusimplifyexpandexpression.xhtml}
+<<menusimplifyexpandexpression.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+menusimplifyexpandexpression not implemented
+<<page foot>>
+@
+
+\subsection{menusimplifyexpandlogarithms.xhtml}
+<<menusimplifyexpandlogarithms.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+menusimplifyexpandlogarithms not implemented
+<<page foot>>
+@
+
+\subsection{menusimplifyfactorialsandgamma.xhtml}
+<<menusimplifyfactorialsandgamma.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+menusimplifyfactorialsandgamma not implemented
+<<page foot>>
+@
+
+\subsection{menusimplifyfactorcomplex.xhtml}
+<<menusimplifyfactorcomplex.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+menusimplifyfactorcomplex not implemented
+<<page foot>>
+@
+
+\subsection{menusimplifyfactorexpression.xhtml}
+<<menusimplifyfactorexpression.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+menusimplifyfactorexpression not implemented
+<<page foot>>
+@
+
+\subsection{menusimplifymoduluscomputation.xhtml}
+<<menusimplifymoduluscomputation.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+menusimplifymoduluscomputation not implemented
+<<page foot>>
+@
+
+\subsection{menusimplifysimplifyexpression.xhtml}
+<<menusimplifysimplifyexpression.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+menusimplifysimplifyexpression not implemented
+<<page foot>>
+@
+
+\subsection{menusimplifysubtitute.xhtml}
+<<menusimplifysubtitute.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+menusimplifysubtitute not implemented
+<<page foot>>
+@
+
+\subsection{menusimplifysimplifyradicals.xhtml}
+<<menusimplifysimplifyradicals.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+menusimplifysimplifyradicals not implemented
+<<page foot>>
+@
+
+\subsection{menusimplifytogglealgebraicflag.xhtml}
+<<menusimplifytogglealgebraicflag.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+menusimplifytogglealgebraicflag not implemented
+<<page foot>>
+@
+
+\subsection{menusimplifytrigsimplification.xhtml}
+<<menusimplifytrigsimplification.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>> 
+menusimplifytrigsimplification not implemented
+<<page foot>>
+@
+
 %%N
 \subsection{numbasicfunctions.xhtml}
 <<numbasicfunctions.xhtml>>=
